| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
precedence::FSMState Struct Reference

`#include <src/PrecedenceRulesGraph.h>`

Inheritance diagram for precedence::FSMState:
[legend]
Collaboration diagram for precedence::FSMState:
[legend]

## Public Member Functions
| FSMState (const EventSlot &slot)
std::string | operator() (const AlgoProps &props) const
std::string | operator() (const DecisionHubProps &) const
std::string | operator() (const DataProps &) const

## Public Attributes
EventSlot | m_slot

## Detailed Description

Definition at line 181 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

precedence::FSMState::FSMState | ( | const EventSlot & | slot | ) |
| inline

Definition at line 182 of file PrecedenceRulesGraph.h.

182 : m_slot( slot ) {}
precedence::FSMState::m_slot
EventSlot m_slot
Definition: PrecedenceRulesGraph.h:210

## Member Function Documentation

std::string precedence::FSMState::operator() | ( | const AlgoProps & | props | ) | const
| inline

Definition at line 184 of file PrecedenceRulesGraph.h.

185 {
186 using State = AlgsExecutionStates::State;
187 State state = m_slot.algsStates[props.m_algoIndex];
188 switch ( state ) {
189 case State::INITIAL:
190 return "INITIAL";
191 case State::CONTROLREADY:
192 return "CONTROLREADY";
193 case State::DATAREADY:
194 return "DATAREADY";
195 case State::EVTACCEPTED:
196 return "EVTACCEPTED";
197 case State::EVTREJECTED:
198 return "EVTREJECTED";
199 case State::ERROR:
200 return "ERROR";
201 default:
202 return "UKNOWN";
203 }
204 }
compareRootHistos.state
state
Definition: compareRootHistos.py:424
EventSlot::algsStates
AlgsExecutionStates algsStates
Vector of algorithms states.
Definition: EventSlot.h:37
MSG::ERROR
Definition: IMessageSvc.h:16
AlgsExecutionStates::State
State
Execution states of the algorithms.
Definition: AlgsExecutionStates.h:32
precedence::FSMState::m_slot
EventSlot m_slot
Definition: PrecedenceRulesGraph.h:210

std::string precedence::FSMState::operator() | ( | const DecisionHubProps & |  | ) | const
| inline

Definition at line 206 of file PrecedenceRulesGraph.h.

206 { return ""; }

std::string precedence::FSMState::operator() | ( | const DataProps & |  | ) | const
| inline

Definition at line 208 of file PrecedenceRulesGraph.h.

208 { return ""; }

## Member Data Documentation

EventSlot precedence::FSMState::m_slot

Definition at line 210 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PrecedenceRulesGraph.h